#
# spec file for package gnome-settings-daemon (Version 2.22.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-settings-daemon
%define _name gnome-settings-daemon
BuildRequires:  fdupes gnome-common gnome-desktop-devel gnome-patch-translation gstreamer-0_10-plugins-base-devel intltool libglade2-devel libgnomekbd-devel update-desktop-files xorg-x11
License:        GPL v2 or later
Group:          System/GUI/GNOME
Version:        2.22.1
Release:        13
Summary:        Settings daemon for the GNOME desktop
Source:         %{_name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE gnome-settings-daemon-system-proxy-configuration.patch
Patch2:         %{name}-system-proxy-configuration.patch
# PATCH-FEATURE-UPSTREAM gnome-settings-daemon-1.2.diff -- Add support for RandR 1.2 to the daemon. federico@novell.com
Patch3:         gnome-settings-daemon-randr-1.2.diff
Url:            http://www.gnome.org
Requires:       %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
%gconf_schemas_prereq

%description
gnome-settings-daemon provides a daemon run by all GNOME sessions to
provide live access to configuration settings and the changes done to
them as well as basic services like a clipboard manager, controlling
the startup of the screensaver, etc.

This module was previously part of GNOME Control Center, but has been
splitted from it for a more general use.



Authors:
--------
    Jonathan Blandford <jrb@redhat.com>
    William Jon McCann <mccann@jhu.edu>
    Rodrigo Moya <rodrigo@gnome-db.org>
    Denis Washington <denisw@svn.gnome.org>

%package devel
License:        GPL v2 or later
Summary:        Development package for the GNOME settings daemon
Group:          System/GUI/GNOME
AutoReqProv:    on
Requires:       %{name} = %{version} dbus-1-devel dbus-1-glib-devel glib2-devel gtk2-devel gnome-desktop-devel gnome-menus-devel

%description devel
gnome-settings-daemon provides a daemon run by all GNOME sessions to
provide live access to configuration settings and the changes done to
them as well as basic services like a clipboard manager, controlling
the startup of the screensaver, etc.

This package includes header files used for client applications to
contact the settings daemon via its DBus interface.



Authors:
--------
    Jonathan Blandford <jrb@redhat.com>
    William Jon McCann <mccann@jhu.edu>
    Rodrigo Moya <rodrigo@gnome-db.org>
    Denis Washington <denisw@svn.gnome.org>

%lang_package
%prep
%setup -q -n %{_name}-%{version}
#gnome-patch-translation-prepare
%patch2
%patch3 -p1
#gnome-patch-translation-update

%build
autoreconf -f -i
# needed for control-center-2.16.1:
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--libexecdir=%{_prefix}/lib/gnome-settings-daemon\
	--disable-static\
	--disable-scrollkeeper\
	--disable-update-mimedb
make %{?jobs:-j%jobs}

%install
%makeinstall
# DESTDIR=$RPM_BUILD_ROOT mime-info-to-mime
# oh dear
rm $RPM_BUILD_ROOT/%{_libdir}/gnome-settings-daemon-2.0/*.*a
%find_lang %{_name}
%find_gconf_schemas
cat %{name}.schemas_list >gnome-%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f gnome-%{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/gnome-settings-daemon
%{_prefix}/lib/gnome-settings-daemon
%{_libdir}/gnome-settings-daemon-2.0

%files lang -f %{_name}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/gnome-settings-daemon-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue May 06 2008 rodrigo@suse.de
- Updated gnome-settings-daemon-system-proxy-configuration.patch
  to add a missing return in non-void function
* Wed Apr 30 2008 rodrigo@suse.de
- Updated gnome-settings-daemon-system-proxy-configuration.patch
  to make it apply again
* Fri Apr 25 2008 federico@novell.com
- Added gnome-settings-daemon-randr-1.2.diff to integrate the new
  functionality to configure RandR 1.2.
* Fri Apr 11 2008 maw@suse.de
- Update to version 2.22.1:
  + Fix segfault when shutting down the typing break monitor (Jens Granseuer)
  (bgo#521786)
  + Set window type hint on the volume popup (bgo#522232)
  + Remove unused properties from actions GUI
  + Reset opacity when removing the timeout (bgo#522499)
  + Fix handling of child process
  + Add a tool to test media keys
  + Add some profiling code
  + Fix compiler warnings
  + Fix leaks (bgo#524183)
  + Add more stuff to the configuration summary
  + Don't eat key events (bgo#523676)
  + Apply keyboard settings on startup (bgo#525440)
  + Make "Home" keybinding work again
  + Updated translations.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Actually link against libXi when building with XInput support
  (bgo#519488)
  + Disable debug by default
  + Don't pass GErrorss if we're not going to use them
  + Remove obsolete settings for the removed default editor plugin
  + Updated translations.
* Thu Mar 13 2008 sbrabec@suse.cz
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE.
* Wed Feb 20 2008 maw@suse.de
- Update to version 2.21.91:
  + Use a flat directory instead of a hierarchy to install plugins
  into (bgo#513246)
  + Don't scan the plugins directory recursively (#513246)
  + Install the settings plugin to a versioned directory to fix install
  with libdir == libexecdir (bgo#504203)
  + Review short and long descriptions for GConf keys (bgo#514047)
  + Don't crash when running the screensaver fails (bgo#514385)
  + Rename src folder to gnome-settings-daemon (bgo#511820)
  + Add uninstalled.pc file for building against an uninstalled copy of
  g-s-d (bgo#511820)
  + Add separate checks for libbackground and use external copy
  + Use gnome_settings_daemon for the GConf path (bgo#514411)
  + Release the Glade XML ASAP and keep track of the 2 widgets we need
  + Make sure we return a GError if initialization fails (bgo#514926)
  + Load the XKB settings initially (bgo#511771)
  + Fix leaks
  + Unref the GConfClient only after done with it
  + Check for xinput (bgo#514942)
  + Fix copy'n'paste error (bgo#515426)
  + Declare variables at the beginning of a block to make older compilers
  happy
  + Add back support for defining plugin start order
  + Assign return value from g_slist_sort to the plugins list variable
  (bgo#515340)
  + Replace gnome_vfs usage with GIO (bgo#513990).
* Fri Feb 01 2008 rodrigo@suse.de
- Update to version 2.21.90.2:
  * Use correct binary path in DBus service file
  * Updated translations
* Fri Jan 25 2008 rodrigo@suse.de
- Added missing unpackaged files
- Depend on gstreamer-0_10-plugins-base-devel for the sound module
* Wed Jan 16 2008 rodrigo@suse.de
- Disabled patches that need rebase.
- No need for gnome-patch-translation
- Updated BuildRequires
* Wed Jan 16 2008 rodrigo@suse.de
- First version of new gnome-settings-daemon package.
